Bug 140936 - External USB 2.0 drive not detected.
External USB 2.0 drive not detected.
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-26 12:10 EST by Don Lubinski
Modified: 2015-01-04 17:13 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-07 02:54:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Don Lubinski 2004-11-26 12:10:15 EST
Description of problem:
External usb 2.0 drive does not get mounted.  I get the following
messages in the system log:

Nov 24 20:47:56 kernel: usb 1-2: new high speed USB device using address 7
Nov 24 20:48:01 kernel: usb 1-2: control timeout on ep0out
Nov 24 20:48:06 kernel: usb 1-2: control timeout on ep0out
Nov 24 20:48:06 kernel: usb 1-2: device not accepting address 7, error
-110
Nov 24 20:48:06 kernel: usb 1-2: new high speed USB device using address 8
Nov 24 20:48:11 kernel: usb 1-2: control timeout on ep0out
Nov 24 20:48:16 kernel: usb 1-2: control timeout on ep0out
Nov 24 20:48:17 kernel: usb 1-2: device not accepting address 8, error
-110


Version-Release number of selected component (if applicable): External
USB 2.0 Drive enclosure.


How reproducible:


Steps to Reproduce:
1.Plug it in
2.No entry in the location "/media/---"
3.
  
Actual results:
USB 2.0 drive not mounted.

Expected results:
Should see the drive mounted and an entry in /media/---/.

Additional info:
I've tried various combinations in the 'media tab' options window to
no avail. I have tried all different USB ports.  I have tried and
successfully mounted another USB device (usb 1.1)  on this FC 3 system
and it was detected and shows up as expected 'media/smartmedia".

I use this same drive in a FC 2 system with no problems..I mount it with
"mount /dev/sdd1 /mnt/usbdrive" and have never had any problems.
This rules out a hardware issue.

Entries from my kernel log for the USB hub detection:
ehci_hcd 0000:00:10.3: new USB bus registered, assigned bus number 1
ehci_hcd 0000:00:10.3: USB 2.0 enabled, EHCI 1.00, driver 2004-May-10
hub 1-0:1.0: USB hub found
hub 1-0:1.0: 6 ports detected
USB Universal Host Controller Interface driver v2.2
ACPI: PCI interrupt 0000:00:10.0[A] -> GSI 11 (level, low) -> IRQ 11
uhci_hcd 0000:00:10.0: UHCI Host Controller
uhci_hcd 0000:00:10.0: irq 11, io base 0000d000
uhci_hcd 0000:00:10.0: new USB bus registered, assigned bus number 2
hub 2-0:1.0: USB hub found
hub 2-0:1.0: 2 ports detected
ACPI: PCI interrupt 0000:00:10.1[B] -> GSI 7 (level, low) -> IRQ 7
uhci_hcd 0000:00:10.1: UHCI Host Controller
uhci_hcd 0000:00:10.1: irq 7, io base 0000d400
uhci_hcd 0000:00:10.1: new USB bus registered, assigned bus number 3
hub 3-0:1.0: USB hub found
hub 3-0:1.0: 2 ports detected
ACPI: PCI interrupt 0000:00:10.2[C] -> GSI 10 (level, low) -> IRQ 10
uhci_hcd 0000:00:10.2: UHCI Host Controller
uhci_hcd 0000:00:10.2: irq 10, io base 0000d800
uhci_hcd 0000:00:10.2: new USB bus registered, assigned bus number 4
hub 4-0:1.0: USB hub found
hub 4-0:1.0: 2 ports detected
Comment 1 John (J5) Palmieri 2004-11-29 11:20:16 EST
Reassigning to owner of module
Comment 2 Don Lubinski 2004-12-01 00:31:29 EST
I got it working.

I simply issue the command: modprobe -r ehci-hcd

The drive is immediately detected and mounted and available for use.

I must re-issue the command every time after I boot for this to work.

My dmesg (with the original errors the..then the remove...and working):
Nov 30 21:13:36 gandalf kernel: usb 1-2: control timeout on ep0out
Nov 30 21:13:41 gandalf kernel: usb 1-2: control timeout on ep0out
Nov 30 21:13:41 gandalf kernel: usb 1-2: device not accepting address
2, error -110
Nov 30 21:13:42 gandalf kernel: usb 1-2: new high speed USB device
using address 3
Nov 30 21:13:47 gandalf kernel: usb 1-2: control timeout on ep0out
Nov 30 21:13:52 gandalf kernel: usb 1-2: control timeout on ep0out
Nov 30 21:13:52 gandalf kernel: usb 1-2: device not accepting address
3, error -110
Nov 30 21:14:26 gandalf kernel: ehci_hcd 0000:00:10.3: remove, state 1
Nov 30 21:14:26 gandalf kernel: usb usb1: USB disconnect, address 1
Nov 30 21:14:26 gandalf kernel: ehci_hcd 0000:00:10.3: USB bus 1
deregistered
Nov 30 21:14:26 gandalf kernel: usb 2-2: new full speed USB device
using address 2
Nov 30 21:14:27 gandalf kernel: SCSI subsystem initialized
Nov 30 21:14:27 gandalf kernel: Initializing USB Mass Storage driver...
Nov 30 21:14:27 gandalf kernel: scsi0 : SCSI emulation for USB Mass
Storage devices
Nov 30 21:14:27 gandalf kernel:   Vendor: USB 2.0   Model: Storage
Device    Rev: 0100
Nov 30 21:14:27 gandalf kernel:   Type:   Direct-Access              
       ANSI SCSI revision: 02
Nov 30 21:14:28 gandalf kernel: usbcore: registered new driver usb-storage
Nov 30 21:14:28 gandalf kernel: USB Mass Storage support registered.
Nov 30 21:14:28 gandalf scsi.agent[3289]: disk at
/devices/pci0000:00/0000:00:10.0/usb2/2-2/2-2:1.0/host0/0:0:0:0
Nov 30 21:14:28 gandalf kernel: SCSI device sda: 390721968 512-byte
hdwr sectors (200050 MB)
Nov 30 21:14:28 gandalf kernel: sda: assuming drive cache: write through
Nov 30 21:14:28 gandalf udev[3327]: creating device node '/dev/sda'
Nov 30 21:14:28 gandalf udev[3333]: creating device node '/dev/sda1'
Nov 30 21:14:28 gandalf kernel:  sda: sda1
Nov 30 21:14:28 gandalf kernel: Attached scsi disk sda at scsi0,
channel 0, id 0, lun 0
Nov 30 21:14:30 gandalf fstab-sync[3360]: added mount point
/media/usbdisk for /dev/sda1

That's it..hope this helps resolve the problem in some way.

Regards.
Comment 3 Dave Jones 2005-07-15 15:51:03 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 4 Nathan Fiedler 2005-08-28 20:36:28 EDT
I have a Seagate external USB hard drive (model #ST650211USB) and FC4 with the
latest updates never sees the drive and mounts it, even though I have the
following line in /etc/fstab:

/dev/sde1 /media/USB_HD vfat defaults 0 0

I had been working around the problem by unplugging the drive and plugging it
back in, then invoking "mount -a". Thankfully, I found this bug report and tried
"modprobe -r ehci-hcd" and that allowed me to then use "mount -a" to mount the
drive, without having to unplug/plug it -- a big improvement.

I would be happy to provide more information for this report, just let me know
what you need.

P.S. Could someone please update the version to fc4, and the severity can
probably be moved to 'low' since there is a simple work-around.
Comment 5 Dave Jones 2005-12-07 02:54:59 EST
This bug has been mass-closed along with all other bugs that
have been in NEEDINFO state for several months.

Due to the large volume of inactive bugs in bugzilla, this
is the only method we have of cleaning out stale bug reports
where the reporter has disappeared.

If you can reproduce this bug with current FC3 updates, please
reopen this bug.

If you are not the reporter, you can add a comment requesting
it be reopened, and someone will get to it asap.

If you are not the reporter, but can reproduce this problem against
FC4, please open a new bug.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.